package pretreated

import (
	"fmt"
	"log"
	"regexp"
	"strings"
	"testing"
	. "util"
)

var txt = `广西大通建设监理咨询管理有限公司崇左市城区棚户区改造项目（一期）推广策划及销售代理服务采购（采购项目编GXDTZB2016-13-CZ）中标结果公告
访问次数：发布时间：2016-12-26
 广西大通建设监理咨询管理有限公司受崇左市壶城棚户区建设投资有限公司委托，根据《中华人民共和国政府采购法》等有关规定，于2016年11月28日就崇左市城区棚户区改造项目（一期）推广策划及销售代理服务采购项目采用公开招标方式进行采购，现就本次招标的中标结果公告如下：
一、 采购项目名称及编号：崇左市城区棚户区改造项目（一期）推广策划及销售代理服务采购
项目编号：GXDTZB2016-13-CZ
二、采购项目简要说明：推广策划及销售代理服务。
三、公告媒体：中国政府采购网www.ccgp.gov.cn、广西壮族自治区政府采购网www.gxzfcg.gov.cn、崇左市公共资源交易中心网http://www.czjyzx.gov.cn。
四、评标日期：2016年12月22日
评标地点：崇左市公共资源交易中心
评标委员会名单：蒋洪涛、许荣珍、梁秀英、甘林川、与业主评委潘浩
五、中标信息：
1.中标供应商名称：广西合智房地产代理有限公司
2.中标供应商地址：南宁市青秀区竹溪大道86号广源国际社区2栋1701室
3.中标金额：住宅对外销售部分按对外销售面积*（43元/㎡以内）、对拆迁安置房部分按对拆迁安置房销售面积*（19元/㎡以内）计代理服务费
六、联系事项：
1.采购人名称：崇左市壶城棚户区建设投资有限公司
地址：崇左市城南八路环保局科研综合楼内城投公司
联系人及电话：沈工 0771－7836079
2.采购代理机构：广西大通建设监理咨询管理有限公司
地址：崇左市花山路嘉苑小区R-07号崇左公司
联系人：黄工    电话/传真：0771-7883434
3.监督部门：崇左市财政局政府采购监督管理部门
电话0771-5962613
七、中标结果公告期限：自中标结果公告发布之日起一个工作日。
供应商认为中标结果使自己的权益受到损害的，可以在中标结果公告期限届满之日起七个工作日内以书面形式向采购人崇左市壶城棚户区建设投资有限公司或受托代理机构广西大通建设监理咨询管理有限公司提出质疑，逾期将不再受理。
 
附：公开招标文件
 
采购单位：崇左市壶城棚户区建设投资有限公司
采购代理机构：广西大通建设监理咨询管理有限公司
                                                日 期：2016年 12月23日
附件
公开招标文件.doc
相关新闻`

func TestBys(t *testing.T) {
	//Init("../res/mlc/", "192.168.3.14:3379")
	//找某一段落去识别，特点文字很少，5-15个字左右，一般是块标题
	//	tmp := GetTags("这个项目投资总额")

	//先分段
	_segs := strings.FieldsFunc(txt, func(r rune) bool {
		return r == 10 || r == 13
	})
	//再去除空行
	segs := make([]*Segment, 0)
	_index := 0
	for _, seg := range _segs {
		if seg != " " && len(seg) > 1 {
			_seg := Segment{}
			_index = _index + 1
			_seg.Index = _index
			_seg.Text = seg
			segs = append(segs, &_seg)
		}

	}
	//	blockArrays := make([]Block, 0)

	blockMaps := make(map[string][]Segment)
	currentTagsKey := ""
	for _, seg := range segs {
		r, _ := regexp.Compile("^[一|二|三|四|五|六|七|八|九|十][.|、| ](.{1,20})")
		matchedStrArray := r.FindStringSubmatch((*seg).Text)
		if len(matchedStrArray) > 1 {
			currentTagsKey = matchedStrArray[1]
			block_segs := make([]Segment, 0)
			block_segs = append(block_segs, *seg)
			blockMaps[matchedStrArray[1]] = block_segs
		} else {
			if currentTagsKey != "" {
				blockMaps[currentTagsKey] = append(blockMaps[currentTagsKey], *seg)
			}

		}
	}
	fmt.Println("文章分块数：", len(blockMaps))
	blockIndex := 1
	for k, _ := range blockMaps {
		if k != "" {
			fmt.Println(blockIndex, "入参:", k, "..............标签:", GetTags(k))
			blockIndex++
		}

	}

}

func TestReg(t *testing.T) {
	str := `一.项目信息`
	r, _ := regexp.Compile("^[一|二|三|四|五|六|七|八|九|十][.|、| ](.{1,20})")
	matchedStrArray := r.FindStringSubmatch(str)
	log.Println(matchedStrArray)
}

//
func TestGetTags(t *testing.T) {
	//	LoadConfig("../res/")
	//tags := GetTags("招标要求")
	//log.Println("tags ", tags)
}
